import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

/* Router Modules */
import policyPage from './modules/policyPage';
import configPage from './modules/configPage';
import transferPage from './modules/transferPage';
import customerManagement from './modules/customerManagement';
import accountManagement from './modules/accountManagement';
import customerService from './modules/customerService';
import feedback from './modules/feedback';
import settings from './modules/settings';
import rotation from './modules/rotation';

export const DynamicRoutes = [
  // 政策管理
  policyPage,
  // 前端配置
  configPage,
  // 技术转移
  transferPage,
  // 客户管理
  customerManagement,
  // 账号管理
  accountManagement,
  // 客服中心
  customerService,
  // 意见反馈
  feedback,
  // 轮播管理
  rotation,
  // 系统设置
  settings
];

export default DynamicRoutes;
